> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Existing Persona

> Update an existing simulation persona.



## OpenAPI

````yaml /openapi-v1.json put /api/v1/simulation/personas/{persona_id}
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/simulation/personas/{persona_id}:
    put:
      tags:
        - Simulation
      summary: Update Existing Persona
      description: Update an existing simulation persona.
      operationId: core_api_v1_controllers_simulation_update_existing_persona
      parameters:
        - in: path
          name: persona_id
          schema:
            title: Persona Id
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SimulationPersonaUpdateIn'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SimulationPersonaOut'
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    SimulationPersonaUpdateIn:
      description: Schema for updating a simulation persona via the v1 API.
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        role:
          anyOf:
            - type: string
            - type: 'null'
          title: Role
        behavior_notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Behavior Notes
        agent_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Agent Id
        custom_llm_temperature:
          anyOf:
            - type: number
            - type: 'null'
          title: Custom Llm Temperature
        enabled_tool_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Enabled Tool Ids
        user_overrides:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: User Overrides
      title: SimulationPersonaUpdateIn
      type: object
    SimulationPersonaOut:
      description: Response schema for simulation personas.
      properties:
        object:
          default: simulation_persona
          title: Object
          type: string
        id:
          title: Id
          type: string
        name:
          title: Name
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        role:
          anyOf:
            - type: string
            - type: 'null'
          title: Role
        behavior_notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Behavior Notes
        agent_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Agent Id
        agent_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Agent Name
        custom_llm_temperature:
          anyOf:
            - type: number
            - type: 'null'
          title: Custom Llm Temperature
        enabled_tool_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Enabled Tool Ids
        user_overrides:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: User Overrides
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated At
      required:
        - id
        - name
      title: SimulationPersonaOut
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````